# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%global		pre_srctag		-beta2
%global		pre_release		.beta2

Name:		qca-pkcs11
Version:	2.0.0
Release:	alt1_0.4%{pre_release}
Summary:	Smartcard integration for QCA

Group:		System/Libraries
License:	LGPLv2+
URL:		http://delta.affinix.com/qca/
Source0:	http://delta.affinix.com/download/qca/2.0/plugins/%{name}-%{version}%{pre_srctag}.tar.bz2
Patch0:		qca-pkcs11.cpp.vsnprintf.patch

BuildRequires: qt4-devel libqca2-devel pkcs11-helper-devel
Requires:	pkcs11-helper >= 1.02
%{?_qt4_version:
}
Source44: import.info


%description
qca-pkcs11 enables QCA smartcard integration.
The following features are supported:
 - Multiple providers.
 - Multiple tokens.
 - Private key signature and decryption.
 - Keystore objects serialization.
 - Keystore update notifications.
 - Asker integration for token and PIN.


%prep
%setup -q -n %{name}-%{version}%{pre_srctag}
# patch0 needed to fix compile error:
# qca-pkcs11.cpp:3044:2: error: '::vsnprintf' has not been declared
%patch0 -p0


%build
./configure \
	--plugins-path=%{_qt4_plugindir} \
	--no-separate-debug-info
make %{?_smp_mflags}


%install
make install INSTALL_ROOT=%{buildroot}


%files
%doc COPYING README
%{_qt4_plugindir}/crypto/libqca-pkcs11.so


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1_0.4.beta2
- initial fc import

